<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Test Sample site</title>
</head>
<body>
    hello
    <div id="idDivAd">
        <h1>this is an ad</h1>
    </div>

    <iframe id="myIframe" src="/allowlistedDomain.html">
    </iframe>
    
        
    <script>

        "use strict";

        function writeIframe() {
            let frameDocument = document.getElementById("myIframe").contentWindow.document;
            frameDocument.open("text/html");
            frameDocument.write(`
                <html>
                <body>
                    new content
                    <img src="/image.png">
                </body>
                </html>`);
            frameDocument.close();

            if (expectedParameter()) // eslint-disable-line no-undef
                expectedPageView(); // eslint-disable-line no-undef
        }

        if (document.readyState == "complete")
            writeIframe();
        else
            document.getElementById("myIframe").addEventListener("load", writeIframe);
    </script>
</body>
</html>